@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
$break-medium: 1024px;
$break-tablet: 768px;
$break-small: 425px;

body {
	background-color: #fafafa;
	margin: 0;
	padding: 0;
	font-family: 'Roboto';

	* {
		box-sizing: border-box;
	}

	#app {
		max-width: 1300px;
		margin: auto;
		padding: 20px;

		> .actions {
			max-width: 1000px;
			margin: 20px auto 40px auto;
			display: flex;
			justify-content: space-between;
			align-items: center;

			@media screen and (max-width: $break-tablet) {
				flex-direction: column;
			}

			> button {
				width: fit-content;
				padding: 15px 20px;
				background-color: #e6e6e6;
				-webkit-appearance: none;
				border: none;
				font-size: 18px;
				outline: 0;
				cursor: pointer;
				transition: all 0.3s ease-in-out;

				@media screen and (max-width: $break-tablet) {
					min-width: 250px;
				}

				&:not(:first-child) {
					@media screen and (max-width: $break-tablet) {
						margin-top: 20px;
					}
				}

				&:hover {
					background-color: #cecece;
					transition: all 0.3s ease-in-out;
				}
			}
		}

		> .posts {
			display: grid;
			grid-template-columns: repeat(3, 1fr);
			grid-gap: 20px;

			@media screen and (max-width: $break-medium) {
				grid-template-columns: repeat(2, 1fr);
			}

			@media screen and (max-width: $break-tablet) {
				grid-template-columns: 1fr;
			}

			> .post {
				min-height: 400px;
				position: relative;
				cursor: pointer;
				transition: all 0.3s ease-in-out;

				@media screen and (max-width: $break-medium) {
					min-height: 300px;
				}

				img {
					position: absolute;
					top: 0;
					left: 0;
					width: 100%;
					height: 100%;
					object-fit: cover;
				}

				.id {
					width: fit-content;
					height: fit-content;
					display: flex;
					justify-content: center;
					align-items: center;
					padding: 15px 30px;
					position: absolute;
					top: 50%;
					left: 50%;
					transform: translate(-50%, -50%);
					background-color: rgba(0, 0, 0, 0.6);
					font-size: 30px;
					color: #fff;
					font-weight: 600;
					opacity: 1;
					transition: all 0.3s ease-in-out;
				}

				.content {
					width: 100%;
					height: 100%;
					position: absolute;
					top: 0;
					left: 0;
					display: flex;
					justify-content: center;
					align-items: center;
					flex-direction: column;

					&:before {
						content: '';
						width: 100%;
						height: 0%;
						position: absolute;
						bottom: 0;
						left: 0;
						background-color: rgba(0, 0, 0, 0.6);
						z-index: 0;
						transition: all 0.3s ease-in-out;
					}

					> .title,
					> .description {
						text-align: center;
						color: #fff;
						opacity: 0;
						transition: all 0.3s ease-in-out;
					}

					> .title {
						font-size: 25px;
						line-height: 28px;
						font-weight: 600;
						padding: 0 15px;
					}

					> .description {
						font-size: 14px;
						font-weight: 300;
						font-style: italic;
						padding: 30px 15px 15px 15px;
					}
				}

				&:hover {
					.id {
						opacity: 0;
						transition: all 0.3s ease-in-out;
					}

					.content {
						&:before {
							height: 100%;
							transition: all 0.3s ease-in-out;
						}

						> .title,
						> .description {
							position: relative;
							opacity: 1;
							transition: all 0.3s ease-in-out;
						}
					}
				}
			}
		}
	}
}
